<?php

namespace App\Http\Requests\Admin;

use App\Models\AiTrainingDataset;
use Illuminate\Foundation\Http\FormRequest;

class AiTrainingDatasetCreateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return $this->user()->can('create', AiTrainingDataset::class);
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            //
        ];
    }
}
